Bug 856362 - KeyError: 'la-latin1' (preupgrade from f17 to f18 does not work, do not expect it to, it won't)
KeyError: 'la-latin1' (preupgrade from f17 to f18 does not work, do not expec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:faa85958d90fda598fd7b0205cb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 17:29 EDT by P. A. López-Valencia
Modified: 2012-11-22 21:08 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 21:08:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (697 bytes, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: anaconda-tb (212.05 KB, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: environ (928 bytes, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: type (9 bytes, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: storage.log (91.64 KB, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: version (2 bytes, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: program.log (46.40 KB, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: product (6 bytes, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: syslog (131.52 KB, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: ks.cfg (269 bytes, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: anaconda.log (2.52 KB, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: release (24 bytes, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
File: description (926 bytes, text/plain)
2012-09-11 17:29 EDT, P. A. López-Valencia
no flags Details
anaconda-tb from preupgrade (148.72 KB, application/octet-stream)
2012-09-24 03:27 EDT, Jan Sedlák
no flags Details

  None (edit)
Description P. A. López-Valencia 2012-09-11 17:29:00 EDT
Version-Release number of selected component:
anaconda-18.6.5

Additional info:
libreport version: 2.0.12
cmdline:        BOOT_IMAGE=/upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=369f4325-c969-4c2f-9477-f92efc31ac2e:/upgrade/ks.cfg stage2=hd:UUID=369f4325-c969-4c2f-9477-f92efc31ac2e:/upgrade/squashfs.img
kernel:         3.6.0-0.rc2.git2.1.fc18.i686
Comment 1 P. A. López-Valencia 2012-09-11 17:29:03 EDT
Created attachment 611933 [details]
File: ifcfg.log
Comment 2 P. A. López-Valencia 2012-09-11 17:29:08 EDT
Created attachment 611934 [details]
File: anaconda-tb
Comment 3 P. A. López-Valencia 2012-09-11 17:29:10 EDT
Created attachment 611935 [details]
File: environ
Comment 4 P. A. López-Valencia 2012-09-11 17:29:12 EDT
Created attachment 611936 [details]
File: type
Comment 5 P. A. López-Valencia 2012-09-11 17:29:15 EDT
Created attachment 611937 [details]
File: storage.log
Comment 6 P. A. López-Valencia 2012-09-11 17:29:17 EDT
Created attachment 611938 [details]
File: version
Comment 7 P. A. López-Valencia 2012-09-11 17:29:20 EDT
Created attachment 611939 [details]
File: program.log
Comment 8 P. A. López-Valencia 2012-09-11 17:29:22 EDT
Created attachment 611940 [details]
File: product
Comment 9 P. A. López-Valencia 2012-09-11 17:29:25 EDT
Created attachment 611941 [details]
File: syslog
Comment 10 P. A. López-Valencia 2012-09-11 17:29:27 EDT
Created attachment 611942 [details]
File: hashmarkername
Comment 11 P. A. López-Valencia 2012-09-11 17:29:30 EDT
Created attachment 611943 [details]
File: ks.cfg
Comment 12 P. A. López-Valencia 2012-09-11 17:29:32 EDT
Created attachment 611944 [details]
File: anaconda.log
Comment 13 P. A. López-Valencia 2012-09-11 17:29:34 EDT
Created attachment 611945 [details]
File: release
Comment 14 P. A. López-Valencia 2012-09-11 17:29:36 EDT
Created attachment 611946 [details]
File: description
Comment 15 Vratislav Podzimek 2012-09-13 07:47:16 EDT
Could you please tell me what keyboard layout you have selected, so that I can reproduce it, debug and fix?
Comment 16 P. A. López-Valencia 2012-09-13 17:05:35 EDT
la-latin1 in console, latam in X11. See http://en.wikipedia.org/wiki/Keyboard_layout#Latin_America

Trivia: That's the keyboard layout invented by Microsoft for the Latin America region and used by all Tier 1 and Tier 2 OEMs that sell hardware around these here parts. Cheap chinese components usually are found with es (Spain) layouts (including Logitech, Genius and Chicony cheap jobs). Some people think the latam layout is a mythical beast because they have never bought brand computers nor Microsoft keyboards (people stayed in denial at Wikipedia for almost a decade). It is not the dominant keyboard overall but I rather like it because it has the pipe under the escape key. I live in an anomaly, due to tax exemptions, in Colombia people buy laptops mostly and those have la-latin1 keyboards.
Comment 17 Jan Sedlák 2012-09-24 03:26:33 EDT
I'm seeing same error, using keyboard cz-lat2, while trying to preupgrade from F17. I'm attaching anaconda-tb log.
Comment 18 Jan Sedlák 2012-09-24 03:27:05 EDT
Created attachment 616388 [details]
anaconda-tb from preupgrade
Comment 19 Jan Sedlák 2012-09-24 03:48:01 EDT
Proposing as F18 Beta blockerbug per criterion: "The installer must be able to successfully complete an upgrade installation from a clean, fully updated default installation (from any official install medium) of the previous stable Fedora release, either via preupgrade or by booting to the installer manually. The upgraded system must meet all release criteria".
Comment 20 Vratislav Podzimek 2012-09-26 06:38:36 EDT
(In reply to comment #19)
> Proposing as F18 Beta blockerbug per criterion: "The installer must be able
> to successfully complete an upgrade installation from a clean, fully updated
> default installation (from any official install medium) of the previous
> stable Fedora release, either via preupgrade or by booting to the installer
> manually. The upgraded system must meet all release criteria".
Preupgrade will probably not use anaconda at all. But this is a more general problem of using console keymap in kickstart because internally, we now use X layouts. Patch for this should come in next few days.
Comment 21 Adam Williamson 2012-09-26 16:24:07 EDT
Discussed at 2012-09-26 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-09-26/f18-beta-blocker-review-1.2012-09-26-16.03.log.txt .

This is a bit complex because there's kind of two scenarios here:

1) preupgrade writes kickstarts with console keymap
2) anyone could write a kickstart with a console keymap

We can't really consider case 1) at present as we still have no idea what the New Upgrade Unicorn for F18 is going to look like, we are agreeing to skip upgrade-related bugs at this week's meeting. We could consider case 2), but there was no strong agreement that the bug should be a blocker purely on that basis. So evaluation of this issue is delayed at least until we know whether the New Upgrade Unicorn might possibly still be based on preupgrade code, and still writing out kickstart files, and hence might still have this bug. Or until someone makes a convincing case that scenario 2) is enough for this to be a blocker.
Comment 22 Bruno Medeiros 2012-09-28 01:37:40 EDT
Same here for 'br-abnt2'. Sorry if it doesn't help. I was trying to preupgrade from Fedora 17 to 18.
Comment 23 Adam Williamson 2012-09-28 16:21:37 EDT
preupgrade is known not to work and is not expected to work right now.
Comment 24 Rasmus Kaj 2012-09-29 12:46:20 EDT
I tried a preupgrade to fedora 18 alpha.  In the installed fedora 17, i had swedish keyboard selected.  Maybe the alpha installer don't support swedish keyboard yet, or the keyboard map was renamed?

Package: anaconda-18.8
Architecture: x86_64
OS Release: Fedora release 18
Comment 25 Adam Williamson 2012-10-03 13:31:27 EDT
Discussed at 2012-10-03 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-03/f18-beta-blocker-review-2.2012-10-03-16.00.log.txt . Comment #21 still stands, we cannot yet evaluate the new upgrade tool as it is still not available.
Comment 26 Chris Lumens 2012-10-05 11:24:23 EDT
This code's not even going to be run on upgrades for F18, so I don't think there's anything to fix on the anaconda side.  Reassigning to Will to make sure he knows what's going on here for upgrades.
Comment 27 Vratislav Podzimek 2012-10-05 12:56:28 EDT
(In reply to comment #26)
> This code's not even going to be run on upgrades for F18, so I don't think
> there's anything to fix on the anaconda side.  Reassigning to Will to make
> sure he knows what's going on here for upgrades.
This is an issue that also affects all kickstart installations with VConsole keymap specified in the kickstart.
Comment 28 Vratislav Podzimek 2012-10-05 13:46:14 EDT
(In reply to comment #27)
> (In reply to comment #26)
> > This code's not even going to be run on upgrades for F18, so I don't think
> > there's anything to fix on the anaconda side.  Reassigning to Will to make
> > sure he knows what's going on here for upgrades.
> This is an issue that also affects all kickstart installations with VConsole
> keymap specified in the kickstart.
As this is really Anaconda issue, I'm taking the bug back. Patch set posted to anaconda-patches list.
Comment 29 Joe Wrigley 2012-10-05 14:47:50 EDT
Ran preupgrade and booted into it

Package: anaconda-18.8
Architecture: x86_64
OS Release: Fedora release 18
Comment 30 Adam Williamson 2012-10-10 12:34:44 EDT
Discussed at 2012-10-10 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-10/f18beta-blocker-review-3.2012-10-10-16.05.log.txt . Agreed we are still waiting for the new upgrade tool to appear so we can check whether it's affected by this.
Comment 31 Vratislav Podzimek 2012-10-12 10:14:14 EDT
Patch for the anaconda(In reply to comment #28)
> (In reply to comment #27)
> > (In reply to comment #26)
> > > This code's not even going to be run on upgrades for F18, so I don't think
> > > there's anything to fix on the anaconda side.  Reassigning to Will to make
> > > sure he knows what's going on here for upgrades.
> > This is an issue that also affects all kickstart installations with VConsole
> > keymap specified in the kickstart.
> As this is really Anaconda issue, I'm taking the bug back. Patch set posted
> to anaconda-patches list.
Pushed.
Comment 32 Adam Williamson 2012-10-17 13:50:48 EDT
Discussed at 2012-10-17 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-17/f18beta-blocker-review-4.2012-10-17-16.00.log.txt . Again this is delayed as the new upgrade tool still isn't done.
Comment 33 r.wobben 2012-10-20 07:51:46 EDT
I use preupgrade to download the packages. Rebooted and see a message that anaconda was started.
I use here a dualboot Win7 with Fedora 17.



Package: anaconda-18.14
Architecture: x86_64
OS Release: Fedora release 18
Comment 34 arithmos 2012-10-21 16:21:35 EDT
1) I install fedora 17 from DVD with repo fedora17-x86_64 and fedora17-x86_64 update
2) Reboot and finish installation
3) After that make a yum clean all; yum check-update; yum update
4) and Start preupgrade &
5) Reboot and start into grub " update to fedora 18 "
6) Anaconda start and give me this error

 


Package: anaconda-18.14
Architecture: x86_64
OS Release: Fedora release 18
Comment 35 arithmos 2012-10-21 16:33:59 EDT
(In reply to comment #34)
> 1) I install fedora 17 from DVD with repo fedora17-x86_64 and
> fedora17-x86_64 update
> 2) Reboot and finish installation
> 3) After that make a yum clean all; yum check-update; yum update
> 4) and Start preupgrade &
> 5) Reboot and start into grub " update to fedora 18 "
> 6) Anaconda start and give me this error
> 
>  
> 
> 
> Package: anaconda-18.14
> Architecture: x86_64
> OS Release: Fedora release 18


add information:

KeyError:'fr-latin9'
Comment 36 Kamil J. Dudek 2012-10-22 08:32:38 EDT
I was trying to use 'preupgrade' tool to upgrade from Fedora 17 to 18 Branched. The reasons make no sense to me. 
Keyboard? Theme?



anaconda 18.14 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/keyboard.py", line 191, in status
    return self._xkl_wrapper.name_to_show_str[self._store[0][0]]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 198, in _updateCompleteness
    spoke.selector.set_property("status", spoke.status)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 166, in _createBox
    self._updateCompleteness(spoke)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 295, in refresh
    self._createBox()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 108, in run
    self._actions[0].refresh()
  File "/sbin/anaconda", line 973, in <module>
    anaconda._intf.run()
KeyError: 'pl2'

Local variables in innermost frame:
self: <pyanaconda.ui.gui.spokes.keyboard.KeyboardSpoke object at 0x7f5990d7cc10>


Anaconda instance, containing members:
_instClass: DefaultInstall instance, containing members:
_intf: GraphicalUserInterface instance, containing members:
  _intf.instclass: Already dumped (DefaultInstall instance)
  _intf._hubs: [<class 'pyanaconda.ui.gui.hubs.summary.SummaryHub'>
, <class 'pyanaconda.ui.gui.hubs.progress.ProgressHub'>
]
  _intf.storage: Storage instance, containing members:
***** I cut the extremely long part about disk drives from here *****
]
    _intf.storage.doAutoPart: False
    _intf.storage.iscsi: Already dumped (iscsi instance)
    _intf.storage.encryptedAutoPart: False
  _intf._ui: None
  _intf._actions: Skipped
  _intf.payload: YumPayload instance, containing members:
    _intf.payload._groups: None
    _intf.payload._yum: Skipped
    _intf.payload.install_device: None
    _intf.payload._root_dir: /tmp/yum.root
    _intf.payload._repos_dir: /etc/yum.repos.d,/etc/anaconda.repos.d,/tmp/updates/anaconda.repos.d,/tmp/product/anaconda.repos.d
    _intf.payload._packages: []
    _intf.payload._requiredPackages: []
    _intf.payload._requiredGroups: []
    _intf.payload._setup: False
    _intf.payload.txID: None
    _intf.payload._createdInitrds: False
    _intf.payload._space_required: 2.8 Gb
    _intf.payload.data: Skipped
    _intf.payload._kernelVersionList: []
updateSrc: None
firewall: Firewall instance, containing members:
  firewall.portlist: []
  firewall.servicelist: []
  firewall.trustdevs: []
  firewall.enabled: 1
rootParts: None
upgradeRoot: None
_platform: Already dumped (X86 instance)
id: None
rescue: False
mediaDevice: None
upgrade: True
_network: None
methodstr: hd::/var/cache/yum/preupgrade
proxyPassword: None
desktop: Desktop instance, containing members:
  desktop.info: {}
  desktop.always_quote: False
  desktop.write_quote: True
  desktop.filename: None
  desktop.read_unquote: True
  desktop.runlevel: 3
  desktop._lines: []
canReIPL: False
xdriver: None
stage2: hd:UUID=09f2a5e1-aaae-422d-a21b-1c88d010645e:/boot/upgrade/squashfs.img
rescue_mount: True
_bootloader: GRUB2 instance, containing members:
  _bootloader._disk_order: []
  _bootloader.console_options: Skipped
  _bootloader.console: Skipped
  _bootloader.skip_bootloader: False
  _bootloader.warnings: []
  _bootloader.chain_images: []
  _bootloader.stage2_is_preferred_stage1: False
  _bootloader.disks: []
  _bootloader._update_only: False
  _bootloader._default_image: None
  _bootloader.platform: Already dumped (X86 instance)
  _bootloader.encrypted_password: Skipped
  _bootloader.errors: []
  _bootloader.stage1_device: None
  _bootloader._timeout: None
  _bootloader.stage1_disk: None
  _bootloader.password: None
  _bootloader.dracut_args: 
  _bootloader.boot_args: $([ -x /usr/sbin/rhcrashkernel-param ] && /usr/sbin/rhcrashkernel-param || :)
  _bootloader.linux_images: []
_payload: Already dumped (YumPayload instance)
displayMode: g
simpleFilter: True
ksdata: Skipped
proxyUsername: None
extraModules: []
mehConfig: Config instance, containing members:
  mehConfig.programName: anaconda
  mehConfig.programVersion: 18.14
  mehConfig.attrSkipList: [_intf._actions, _intf.storage.bootloader.password, _intf.storage.data, _bootloader.encrypted_password, _bootloader.password, payload._groups, payload._yum]
  mehConfig.localSkipList: [passphrase, password]
  mehConfig.fileList: [/tmp/anaconda.log, /tmp/packaging.log, /tmp/program.log, /tmp/storage.log, /tmp/ifcfg.log, /tmp/yum.log, /mnt/sysimage/root/install.log, /mnt/sysimage/root/upgrade.log, /proc/cmdline, /tmp/syslog, /run/install/ks.cfg]
_backend: None
isHeadless: False
reIPLMessage: None
_storage: Already dumped (Storage instance)
dir: None
opts: {'noipv6': False, 'noipv4': False, 'updateSrc': None, 'selinux': False, 'module': [], 'syslog': None, 'leavebootorder': False, 'images': [], 'serial': False, 'dmraid': True, 'armPlatform': None, 'virtpconsole': None, 'memcheck': True, 'iscsi': False, 'ksfile': '/run/install/ks.cfg', 'kbdtype': None, 'runres': None, 'xdriver': None, 'display_mode': 'g', 'stage2': 'hd:UUID=09f2a5e1-aaae-422d-a21b-1c88d010645e:/boot/upgrade/squashfs.img', 'method': 'hd::/var/cache/yum/preupgrade', 'vncpassword': '', 'vnc': False, 'rescue': False, 'noverifyssl': False, 'autostep': False, 'proxy': None, 'dlabel': False, 'vncconnect': None, 'lang': None, 'liveinst': False, 'loglevel': None, 'isHeadless': False, 'multiLib': False, 'rescue_nomount': False, 'keymap': None, 'mpath': True, 'ibft': True, 'debug': False, 'nofb': None, 'targetArch': None}
proxy: None


/tmp/anaconda.log:
14:21:29,399 INFO anaconda: /sbin/anaconda 18.14
14:21:30,657 INFO anaconda: 12320768 kB (12032 MB) are available
14:21:30,657 INFO anaconda: check_memory(): total:12032, needed:512, graphical:512
14:21:30,665 INFO anaconda: anaconda called with cmdline = ['/sbin/anaconda']
14:21:30,666 INFO anaconda: Default encoding = utf-8 
14:21:30,718 INFO anaconda: ISCSID is /sbin/iscsid
14:21:30,719 INFO anaconda: no initiator set
14:21:30,986 INFO anaconda: No FCoE EDD info found: No FCoE boot disk information is found in EDD!
14:21:30,986 INFO anaconda: no /etc/zfcp.conf; not configuring zfcp
14:21:31,216 INFO anaconda: Display mode = g
14:21:31,218 INFO anaconda: 12320768 kB (12032 MB) are available
14:21:31,218 INFO anaconda: check_memory(): total:12032, needed:512, graphical:512
14:21:32,231 DEBUG anaconda: X server has signalled a successful start.
14:21:32,232 INFO anaconda: Starting window manager, pid 747.
14:21:33,602 INFO anaconda: using only installclass _Fedora
14:21:34,972 ERR anaconda: Failed to activate layouts pl2
14:21:34,973 INFO anaconda: Detected 12016M of memory
14:21:34,974 INFO anaconda: Swap attempt of 6008M
14:21:35,105 INFO anaconda: no initiator set
14:21:37,171 WARN anaconda:  is not a valid timezone, falling back to default (America/New_York)


/tmp/packaging.log:
14:21:34,232 DEBUG packaging: getting release version from tree at None (18)
14:21:34,232 DEBUG packaging: got a release version of 18


/tmp/program.log:
14:21:30,713 INFO program: Running... udevadm trigger --action=change --subsystem-match=block
14:21:30,722 INFO program: Running... modprobe fcoe
14:21:30,955 INFO program: Running... /usr/libexec/fcoe/fcoe_edd.sh -i
14:21:30,986 INFO program: No FCoE boot disk information is found in EDD!
14:21:30,987 INFO program: Running... udevadm settle --timeout=300
14:21:31,035 INFO program: Running... multipath -d
14:21:31,101 INFO program: Running... multipath -ll
14:21:31,138 INFO program: Running... loadkeys pl2
14:21:31,209 INFO program: Loading /lib/kbd/keymaps/i386/qwerty/pl2.map.gz
14:21:32,233 INFO program: Running... metacity --display :1 --sm-disable
14:21:33,059 ERR program: GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
14:21:33,279 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,303 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,304 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,305 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,332 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,332 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,333 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,334 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,334 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,335 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,335 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,336 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,337 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,337 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,338 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,339 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,339 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,340 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,340 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,341 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,342 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,342 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,343 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
14:21:33,343 ERR program: Window manager warning: Log level 16: Unable to locate theme engine in module_path: "pixmap",
****** After that there are no errors nor interesting warnings *****

Package: anaconda-18.14
Architecture: x86_64
OS Release: Fedora release 18
Comment 37 Adam Williamson 2012-10-22 19:55:48 EDT
for all those getting CCed on this bug: preupgrade from F17 to F18 does not work. It will never work. It is not expected to work.

As I write this the only working way to upgrade from F17 to F18 is to use yum: https://fedoraproject.org/wiki/Upgrading_Fedora_using_yum . 

The recommended method for upgrading from F17 to F18 will be a new tool, similar to preupgrade but using different mechanisms behind the scenes, which is currently being worked on. It is not yet in a state where anyone would want to use it in anger. For now, if you want to try F18, do a fresh install onto a test system (safest), upgrade using yum, or wait.
Comment 38 Koen 2012-10-23 08:15:00 EDT
Installing preupgrade Fedora 18 starting from Fedora 17 running in VirtualBox

Package: anaconda-18.14
Architecture: x86_64
OS Release: Fedora release 18
Comment 39 Adam Williamson 2012-10-23 22:00:49 EDT
I think it doesn't make any sense to carry this in the 'proposed blockers' list any more. It's an anaconda kickstart error, there's no real prospect fedup will hit it as fedup doesn't use anaconda or kickstarts. We know what's happening with upgrades, we'll be testing fedup when it lands and nominating any bugs we hit as blockers. So let's just take this out for now.
Comment 40 Adam Williamson 2012-11-22 21:08:55 EST
We've now disallowed preupgrade-to-f18 in releases.txt so people shouldn't hit this any more. I don't see any value in keeping this open any more.

fedup is now testable and basically working, though still somewhat raw. See https://fedoraproject.org/wiki/QA:Testcase_upgrade_fedup_cli_previous_desktop for the current instructions (these will change a little bit at official Beta release time).

Note You need to log in before you can comment on or make changes to this bug.